DMPSMAP(1)                                                          DMPSMAP(1)

NAME
       dmpsmap - DooM PostScript Map sidekick

SYNOPSIS
       dmpsmap  [  -?  ]  [  -w main WAD file ] [ -pw patch WAD file ] [ -file
       patch WAD files ...  ] [ +-f<> ] [ -n name ] -e episode -m  mission  -p
       PostScript_file

AVAILABILITY
       dmpsmap can go wherever dmpsmu(1) goes :-)

DESCRIPTION
       dmpsmap is a command-line based sidekick to dmpsmu(1), for quick gener-
       ation of PostScript maps of levels in DOOM,  DOOM  ][,  Ultimate  DOOM,
       Heretic  and Heretic: Shadow of the Serpent Riders, the 3D action games
       by id Software and Raven Software.

OPTIONS
       Options are case-insensitive and filenames and level  names  are  case-
       sensitive.  Both the short and long forms of the options are listed.

       -? -h -help
              Displays usage information.

       -w -main
              Specifies  the  name  of the main WAD file; default is DOOM.WAD.
              Eg. to use the shareware main WAD file, specify: -w DOOM1.WAD  .

       -pw -pwad
              Specifies  the  name of a patch WAD file.  Eg. to merge a single
              patch WAD file, specify: -pw <file>.WAD .

       -file  Specifies a list of names of patch WAD files.  Eg. to merge sev-
              eral  patch  WAD  files,  specify: -file <file1>.WAD <file2>.WAD
              <file3>.WAD .

       +-f<>  Sets (+) or resets (-) a print flag, where <> is  one  character
              from  <24ABDEFGLMNPSTUZ>.  See  dmpsmu(1)  for an explanation of
              print flags and their default setting.

       -n -name
              Specifies the user level name  to  be  used  when  printing  the
              level.  Overrules the regular name for that episode/mission. Eg.
              to set the name for a patch WAD level, specify: -n <patch  level
              name> .

       -e -episode
              Specifies  the  episode  number  for  DOOM/Heretic  levels, or 0
              (zero) for DOOM ][ levels. Eg. to set the episode for level  Mt.
              Erebus, specify: -e 3 .

       -m -mission
              Specifies the mission number for DOOM/Heretic levels, or the map
              number for DOOM ][ levels. Eg. to set the mission for level  Mt.
              Erebus, specify: -m 6 .

       -p -psfile
              Specifies  the name of the output PostScript file. Eg. to define
              an output file for level Mt. Erebus, specify: -p E3M6.ps .

EXAMPLE
       The command:

         dmpsmap -file foobar.wad -name FooBar -e 1 -m 1 -FP +FM -p foobar.ps

       illustrates how various forms of the options can be mixed and gives the
       following messages:

         DMPSMAP: DooM PostScript Map sidekick, ver 3.1
          By Frans P. de Vries <fpv@gamers.org>
         [Derived from DEU v5.21 GCC by Brendon Wyber and Raphael Quinet]

         Patch WAD file: foobar.wad.
         User level name: FooBar.
         Episode number: 1.
         Mission number: 1.
         Use Landscape.
         Print multi things.
         PostScript file: foobar.ps.
         Loading main WAD file: DOOM.WAD...
         Loading patch WAD file: foobar.wad...
            [Updating level E1M1]

         Outputting PostScript map of level E1M1 to "foobar.ps".

SEE ALSO
       dmpsmu(1)

LIMITATIONS
       When shading secret & damage Sectors, those with more than 250 LineDefs
       are skipped.

DIAGNOSTICS
       dmpsmap can terminate with error messages in the following format:
              Program Error: *** <error message> ***
       The messages are fairly self-explanatory and are therefore not repeated
       here.

AUTHOR
       Frans P. de Vries <fpv@gamers.org>

DMPSMU                            28 May 2016                       DMPSMAP(1)
